require 'uri'
require 'mastercard_core_sdk'
require_relative '../../mastercard_psp_payment/models/payment_data'
 

module MastercardPspPayment
 module Api

  class PSPPaymentDataApi
    include MastercardCoreSdk::Core, MastercardCoreSdk::Client, MastercardCoreSdk::Exceptions
	  include MastercardPspPayment::Tracker


    # PSP PaymentData Service
    # This service is used by PSP to retrieve the consumer&#39;s payment, shipping address, and personal information.
    # @param transaction_id This is a transaction identifier.

    # @param api_config Optional ApiConfig object specifying configuration : consumer key, private key, host URL. 
    # @return [PaymentData]
    def self.show(transaction_id, api_config = nil)
		 path = "/masterpass/psp-paymentdata/{transactionId}"
	 	 service_request = ServiceRequest.new
     service_request.path_params["transactionId"] = transaction_id
	 
	   
	 
	   service_request.content_type = "application/json"
	   api_client = ApiClient.new(api_config)
     api_client.api_tracker = SdkApiTracker.new
     api_client.error_handler = ErrorHandler.new
	   return api_client.call(path, service_request, "GET",PaymentData)
    end

  end

 end
end



